package com.cooleshow.teacher.helper;

import com.cooleshow.base.common.BaseApplication;
import com.cooleshow.base.utils.Utils;
import com.tencent.bugly.crashreport.CrashReport;
import com.umeng.commonsdk.UMConfigure;

import cn.jiguang.api.utils.JCollectionAuth;
import cn.jpush.android.api.JPushInterface;

/**
 * Author by pq, Date on 2022/7/25.
 */
public class InitHelper {
    public static void initSdK() {
        CrashReport.initCrashReport(Utils.getApp(), "c4d163184a", false);
        UMConfigure.init(
                Utils.getApp(),
                "62a8394605844627b5b0554b",
                "app",
                UMConfigure.DEVICE_TYPE_PHONE,
                null
        );
        //极光推送
        //用户同意之后才初始化极光推送
        JCollectionAuth.setAuth(Utils.getApp(), true);
        BaseApplication.registrationId = JPushInterface.getRegistrationID(Utils.getApp());
    }
}
